def FATIMAodes(t, y, params):
    
    from PiecewiseFcn import PiecewiseFcn
    
    # when using integrate.odeint: y, t
    # when using integrate.solve_ivp: t, y
    
    t1 = PiecewiseFcn(t, params['Gt1'], params['Gt2'], params['G'])/params['V']
    t2 = params['Qr']*y/params['V']
    t3 = params['vd_floor']*params['Afloor']*y/params['V']
    t4 = params['k_inf']*y
    
    Cz = t1 - t2 - t3 - t4
    
    return Cz
