def ProbitFcn(dose, ID50, logSlope):
    
    import math
    import scipy.stats
    
    logDose = math.log10(dose)
    logID50 = math.log10(ID50)
    
    probit = (logDose-logID50)*logSlope
    
    return scipy.stats.norm.cdf(probit)